
package de.ivu.elect.presentation.konfiguration.form;

import javax.inject.Inject;

import de.ivu.elect.business.konfiguration.boundary.KonfigurationSearchParameters;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.ViewFormBuilder;

public class KonfigurationSearchFormBuilder extends ViewFormBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private CustomParameterSearchFormBuilder customParameterSearchFormBuilder;

  public KonfigurationSearchFormBuilder() {
    super();
  }

  public void addProperties(FormBuilder formBuilder, KonfigurationSearchParameters searchParameters) {
    customParameterSearchFormBuilder.addProperties(formBuilder, searchParameters);
  }
}
